/* F.T. Liu
 * 9/20/02
 * Demo program for comp 1671
 * Asks user for their height in feet and inches, converts it to meters
 * and displays the result.
 * This program illustrates several new things:
 *   - You can declare more than one variable on a line, if they are of the
 *     same type
 *   - You can input two values on the same line
 *   - You can initialize a variable on the line where you declare it
 *   - You can (and should) define constant variables whenever you use
 *     a value that will not change while running the program 
 *   - Order of precedence of arithmetic operators follows the familiar
 *     rules of arithmetic
 *   - When you have mixed expressions (arithmetic involving more than one
 *     variable type), you have to worry about what type the result will be
 *   - You can use a \n in the middle or end of a string instead of 
 *     outputting an endl
 */

#include <iostream>
using namespace std;

int main()
{
    float feet, inches;   // store the user's height, both feet and inches.
                          // Variables are floats, to allow fractional inches
    float meters;                        // Their height, converted to meters
    const int inches_per_feet = 12;      // conversion factor: feet to inches
    const float meters_per_inch = .0254; // conversion factor: inches to meters

    // Find out how tall the user is (in feet and inches)
    cout << "Please enter your height in feet and inches (e.g., 5 6): ";
    cin >> feet >> inches;

    // calculate and store their height in meters
    // First calculate total inches, then multiply by meters per inch (.0254)
    meters = (feet*inches_per_feet + inches) * meters_per_inch;

    // Output the result
    cout << "You are " << meters << " tall\n";

    return 0;   // Program completed successfully
    
}

